Name:		git-review
Version:	2.4.0
Release:	%mkrel 2
Summary:	A git helper for integration with Gerrit

Group:		Development/Tools
License:	ASL 2.0
URL:		https://opendev.org/opendev/git-review
Source0:	https://pypi.io/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
Requires:	git

%description
An extension for source control system git that creates and manages
review requests in the patch management system Gerrit. It replaces
the rfc.sh script.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
sed -i 's/\r//' LICENSE

%install
%pyproject_install
%pyproject_save_files git_review

install -d %{buildroot}%{_sysconfdir}/git-review/
install -d %{buildroot}%{_mandir}/man1
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/
xz -9 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{_bindir}/git-review
%{_mandir}/man1/git-review.1*
%dir %{python3_sitelib}/git_review/
%dir %{_sysconfdir}/git-review/


%changelog
* Fri Mar 14 2025 daviddavid <daviddavid> 2.4.0-2.mga10
+ Revision: 2163772
- rebuild for python 3.13
+ papoteur <papoteur>
- new version 2.4.0

* Tue Jan 16 2024 papoteur <papoteur> 2.3.1-2.mga10
+ Revision: 2031709
- rebuild for python 3.12
- port to pyproject

* Mon Dec 26 2022 daviddavid <daviddavid> 2.3.1-1.mga9
+ Revision: 1926964
- new version: 2.3.1

* Thu Mar 24 2022 umeabot <umeabot> 1.28.0-5.mga9
+ Revision: 1824922
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.28.0-4.mga9
+ Revision: 1782860
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.28.0-3.mga9
+ Revision: 1717596
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.28.0-2.mga8
+ Revision: 1533168
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 daviddavid <daviddavid> 1.28.0-1.mga8
+ Revision: 1443758
- new version: 1.28.0
- port to Python 3

* Fri Nov 02 2018 daviddavid <daviddavid> 1.27.0-1.mga7
+ Revision: 1327649
- new version: 1.27.0

* Thu Sep 20 2018 umeabot <umeabot> 1.26.0-2.mga7
+ Revision: 1278410
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 daviddavid <daviddavid> 1.26.0-1.mga7
+ Revision: 1236679
- new version: 1.26.0

* Wed Oct 04 2017 daviddavid <daviddavid> 1.25.0-3.mga7
+ Revision: 1168598
- add missing BR on pythonegg(2)(pbr) to fix build
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.25.0-2.mga6
+ Revision: 968912
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 philippem <philippem> 1.25.0-1.mga6
+ Revision: 857532
- update to 1.25.0

* Mon Jul 13 2015 bcornec <bcornec> 1.24-1.mga6
+ Revision: 853472
- Fix build process which was just wrong :-)
- updat to upstream git-review 1.24

* Wed Oct 15 2014 umeabot <umeabot> 1.23-7.mga5
+ Revision: 740699
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.23-6.mga5
+ Revision: 726338
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.23-5.mga5
+ Revision: 679591
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.23-4.mga5
+ Revision: 628218
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.23-3.mga4
+ Revision: 542599
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.23-2.mga4
+ Revision: 497760
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.23-1.mga4
+ Revision: 471716
- update to 1.23

* Mon May 27 2013 philippem <philippem> 1.21-1.mga4
+ Revision: 428933
- imported package git-review

